# DTOToScopeConverter Class Reference

Inheritance diagram for DTOToScopeConverter:
[legend]

List of all members.

## Static Public Member Functions

static | create (EntityProto $proto)

## Protected Member Functions

| createEmpty ()
| getGetter ($object)
| getSetter (&$object)

## Detailed Description

Definition at line 12 of file DTOToScopeConverter.class.php.

## Member Function Documentation

static DTOToScopeConverter::create | ( | EntityProto $ | proto | ) | `[static]`

Returns:
  DTOToScopeConverter

Definition at line 17 of file DTOToScopeConverter.class.php.

DTOToScopeConverter::createEmpty | ( |  | ) | `[protected]`

Reimplemented from PrototypedBuilder.

Definition at line 22 of file DTOToScopeConverter.class.php.

DTOToScopeConverter::getGetter | ( | $ | object | ) | `[protected]`

Returns:
  DTOGetter

Reimplemented from PrototypedBuilder.

Definition at line 30 of file DTOToScopeConverter.class.php.

DTOToScopeConverter::getSetter | ( | &$ | object | ) | `[protected]`

Returns:
  ScopeSetter

Reimplemented from PrototypedBuilder.

Definition at line 38 of file DTOToScopeConverter.class.php.

The documentation for this class was generated from the following file:

- main/EntityProto/Builders/DTOToScopeConverter.class.php